;------------------------------------------------------------------------------
; raw2l1 user configuration file
;
;  ___  __   _   _  ___ _   __
; | _ \/  \ | | | |(_  | | /  |
; | v / /\ || 'V' | / /| |_`7 |
; |_|_\_||_|!_/ \_!|___|___||_|
;
; version: 2.1.19
; SIRTA IPSL/CNRS/EP 2014-2016
;
; for TOPROF netCDF-CF format
;
;------------------------------------------------------------------------------

; General configuration of the processing
;------------------------------------------------------------------------------
[conf]
reader_dir = reader
reader = vaisala_cl
netcdf_format = NETCDF3_CLASSIC

; Special option for the reader (optional)
;------------------------------------------------------------------------------
[reader_conf]
time_resolution = 3

; Variables required by TOPROF chosen format
;==============================================================================

; Global attribute of the netCDF file
;------------------------------------------------------------------------------
[global]
site_location = Palaiseau, France
instrument_id = $reader_data$, instrument_id
sofware_id = $reader_data$, software_id
overlap_is_corrected = true
overlap_function = false
instrument_version_number = instrument_version_number
principal_investigator = Martial Haeffelin
title = VAISALA CL31 SIRTA
institution = IPSL
source = SIRTA
history = by M.A. Drouin
references =
comment =
author = M.A. Drouin
Conventions = CF-1.6

; Dimensions
;------------------------------------------------------------------------------
[time]
dim = time
type = $time$
standard_name = time
units = days since 1970-01-01 00:00:00
calendar = standard
value = $reader_data$, time

[range]
dim = range
type = $float$
long_name = range
units = m
value = $reader_data$, range

[layer]
dim = layer
type = $integer$
long_name = layer index of cloud base height
units = 1
value = $reader_data$, cbh_layer

[layer_clh]
dim = layer_clh
type = $integer$
long_name = layer index of cloud layer height
units = 1
value = $reader_data$, clh_layer

; variables
;------------------------------------------------------------------------------
[rcs_0]
dim = time, range
type = $double$
long_name = normalized range corrected signal
units = 0.00001 sr^-1.m^-1
missing_value = NAN
value = $reader_data$, rcs_0

[bckgrd_rcs_0]
dim = time
type = $double$
long_name = background light at internal ADC input
units = mV
missing_value = nan
value = $reader_data$, bckgrd_rcs_0

[cbh]
dim = time, layer
type = $integer$
long_name = cloud base height
units = m
missing_value = -9
value = $reader_data$, cbh

[time_resol]
dim = $none$
type = $float$
long_name = time resolution
units = s
value = 3

[range_resol]
dim = $none$
type = $float$
long_name = range resolution
units = m
value = $reader_data$, range_resol

[tilt_angle]
dim = time
long_name = instrument tilt angle from vertical
units = degree
missing_value = nan
value = $reader_data$, tilt_angle

[l0_wavelength]
dim = $none$
type = $float$
long_name = laser 0 wavelength
units = nm
value = 910

[l0_width]
type = $float$
dim = $none$
long_name = laser 0 line width
units = nm
value = NAN

[l0_beam_div]
type = $float$
dim = $none$
long_name = laser 0 beam divergence
units = rad
value = NAN

[l0_prf]
type = $float$
dim = $none$
long_name = laser 0 pulse repetition frequency
units = Hz
value = NAN

[t0_fov]
type = $float$
dim = $none$
long_name = telescope 0 field of view
units = rad
value = NAN

[t0_tilt]
type = $float$
dim = $none$
long_name = telescope 0 tilt angle wrt nadir
units = degree
value = NAN

[laser_temp]
type = $float$
long_name = laser temperature
units = K
dim = time
missing_value = nan
value = $reader_data$, laser_temp

[lat]
dim = $none$
type = $float$
long_name = latitude
units = degrees_north
value = 48.7

[lon]
dim = $none$
type = $float$
long_name = longitude
units = degrees_east
value = 2.2

[altitude]
dim = $none$
type = $float$
standard_name = altitude
long_name = altitude
units = m
value = 158

; Additional data available in CL31 files
;==============================================================================

; 1d
[sum_rcs0]
dim = time
type = $float$
long_name = sum of detected and normalized backscatter
units = sr^-1
missing_value = nan
value = $reader_data$, integrated_rcs_0

[laser_energy]
dim = time
type = $float$
long_name = laser pulse energy, percent of nominal factory setting
units = %
missing_value = nan
value = $reader_data$, laser_energy

[window_transmission]
dim = time
type = $float$
long_name = window transmission estimate
units = %
missing_value = nan
value = $reader_data$, window_transmission

; 2d
[clh]
dim = time, layer_clh
type = $integer$
long_name = cloud layer height
units = m
missing_value = -9
value = $reader_data$, clh

[cf]
type = $short$
long_name = cloud fraction in eighths
units = 1
dim = time, layer_clh
missing_value = -9
value = $reader_data$, cloud_amount